## org.apache.lucene.analysis.fr
Class ElisionFilter

    java.lang.Object
      org.apache.lucene.util.AttributeSource
          org.apache.lucene.analysis.TokenStream
              org.apache.lucene.analysis.TokenFilter
                  org.apache.lucene.analysis.fr.ElisionFilter

    public class ElisionFilter

extends TokenFilter

Removes elisions from a `TokenStream`. For example, "l'avion" (the plane) will be tokenized as "avion" (plane).

Note that `StandardTokenizer` sees " ' " as a space, and cuts it out.

See Also:
  Elision in Wikipedia

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource
`AttributeSource.AttributeFactory, AttributeSource.State`

Field Summary

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`protected` `ElisionFilter(TokenStream input)` Constructs an elision filter with standard stop words
`` `ElisionFilter(TokenStream input, java.util.Set articles)` Constructs an elision filter with a Set of stop words
`` `ElisionFilter(TokenStream input, java.lang.String[] articles)` Constructs an elision filter with an array of stop words

Method Summary
`boolean` `incrementToken()` Increments the `TokenStream` with a `TermAttribute` without elisioned start
`Token` `next()` Deprecated. Will be removed in Lucene 3.0. This method is final, as it should not be overridden. Delegates to the backwards compatibility layer.
`Token` `next(Token reusableToken)` Deprecated. Will be removed in Lucene 3.0. This method is final, as it should not be overridden. Delegates to the backwards compatibility layer.
`void` `setArticles(java.util.Set articles)`

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close, end, reset`

Methods inherited from class org.apache.lucene.analysis.TokenStream
`getOnlyUseNewAPI, setOnlyUseNewAPI`

Methods inherited from class org.apache.lucene.util.AttributeSource
`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, restoreState, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ElisionFilter

    protected ElisionFilter(TokenStream input)

  Constructs an elision filter with standard stop words

### ElisionFilter

    public ElisionFilter(TokenStream input,
                         java.util.Set articles)

  Constructs an elision filter with a Set of stop words

### ElisionFilter

    public ElisionFilter(TokenStream input,
                         java.lang.String[] articles)

  Constructs an elision filter with an array of stop words

Method Detail

### setArticles

    public void setArticles(java.util.Set articles)

### incrementToken

    public final boolean incrementToken()
                                 throws java.io.IOException

  Increments the `TokenStream` with a `TermAttribute` without elisioned start

  Overrides:
    `incrementToken` in class `TokenStream`
  Returns:
    false for end of stream; true otherwise

    Note that this method will be defined abstract in Lucene 3.0.

  Throws:
    `java.io.IOException`

### next

    public final Token next(Token reusableToken)
                     throws java.io.IOException

  Deprecated. Will be removed in Lucene 3.0. This method is final, as it should not be overridden. Delegates to the backwards compatibility layer.

  Description copied from class: `TokenStream`
  Returns the next token in the stream, or null at EOS. When possible, the input Token should be used as the returned Token (this gives fastest tokenization performance), but this is not required and a new Token may be returned. Callers may re-use a single Token instance for successive calls to this method.

  This implicitly defines a "contract" between consumers (callers of this method) and producers (implementations of this method that are the source for tokens):

  - A consumer must fully consume the previously returned `Token` before calling this method again.
  - A producer must call `Token.clear()` before setting the fields in it and returning it
  Also, the producer must make no assumptions about a `Token` after it has been returned: the caller may arbitrarily change it. If the producer needs to hold onto the `Token` for subsequent calls, it must clone() it before storing it. Note that a `TokenFilter` is considered a consumer.

  Overrides:
    `next` in class `TokenStream`
  Parameters:
    `reusableToken` - a `Token` that may or may not be used to return; this parameter should never be null (the callee is not required to check for null before using it, but it is a good idea to assert that it is not null.)
  Returns:
    next `Token` in the stream or null if end-of-stream was hit
  Throws:
    `java.io.IOException`

### next

    public final Token next()
                     throws java.io.IOException

  Deprecated. Will be removed in Lucene 3.0. This method is final, as it should not be overridden. Delegates to the backwards compatibility layer.

  Description copied from class: `TokenStream`
  Returns the next `Token` in the stream, or null at EOS.

  Overrides:
    `next` in class `TokenStream`
  Throws:
    `java.io.IOException`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.